Atom feed of this document
 
 
 

 4.14. Changelogs

 4.14.1. Summary

The monitoring service records changelogs for alarm statuses. Changelogs are accessible as a Time Series Collection. By default the API queries the last 7 days of changelog information.

 4.14.2. List Alarm Changelogs

Alarm changelogs store the last 30 days of alarm state changes for all alarms on an account.

Verb URI Description
GET /changelogs/alarms Lists alarm changelogs for this account.
GET /changelogs/alarms?entityId=entityId Lists alarm changelogs for this account, filtered by a given entity ID.

You may optionally filter returned changelogs by a given entity ID. This is done through providing a querystring with an 'entityId' parameter.

Normal Response Code: 200

Error Response Codes: 401, 403, 500, 503

 

Example 4.99. Alarm Changelog List Response: XML

<?xml version="1.0" encoding="utf-8"?>
<container>
  <values>
    <alarm_changelog id="4c5e28f0-0b3f-11e1-860d-c55c4705a286">
      <timestamp>1320890228991</timestamp>
      <entity_id>enPhid7noo</entity_id>
      <alarm_id>alahf9vuNa</alarm_id>
      <check_id>chIe7vohba</check_id>
      <state>WARNING</state>
      <analyzed_by_monitoring_zone_id>DFW</analyzed_by_monitoring_zone_id>
    </alarm_changelog>
  </values>
  <metadata>
    <count>1</count>
    <limit>50</limit>
    <marker/>
    <next_marker/>
    <next_href/>
  </metadata>
</container>


 

Example 4.100. Alarm Changelog List Response: JSON

{
    "values": [
        {
            "id": "4c5e28f0-0b3f-11e1-860d-c55c4705a286",
            "timestamp": 1320890228991,
            "entity_id": "enPhid7noo",
            "alarm_id": "alahf9vuNa",
            "check_id": "chIe7vohba",
            "state": "WARNING",
            "analyzed_by_monitoring_zone_id": "DFW"
        }
    ],
    "metadata": {
        "count": 1,
        "limit": 50,
        "marker": null,
        "next_marker": null,
        "next_href": null
    }
}




loading table of contents...